package cn.iocoder.yudao.module.portal.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * Report 错误码枚举类
 *
 * report 系统，使用 1-003-000-000 段
 */
public interface ErrorCodeConstants {

    // ========== portal 模块 1_012_000_000 ==========
    ErrorCode JOB_POST_NOT_EXISTS = new ErrorCode(1_012_000_000, "职位不存在");
    ErrorCode NEWS_NOT_EXISTS = new ErrorCode(1_012_000_000, "新闻不存在");
    ErrorCode NEWS_TYPE_NOT_EXISTS = new ErrorCode( 1_012_000_000, "新闻类型不存在");
    ErrorCode USER_NOT_EXISTS = new ErrorCode( 1_012_000_000, "用户不存在");
    ErrorCode JOB_CATEGORY_NOT_EXISTS = new ErrorCode( 1_012_000_000, "职位类别不存在");
    ErrorCode CITY_NOT_EXISTS = new ErrorCode( 1_012_000_000, "城市不存在");

}
